CALL spMante_Pago_CxC_Anular(3, 5000, 'Por error en digitacion', 1);

DROP PROCEDURE IF EXISTS spMante_Pago_CxC_Anular;
CREATE PROCEDURE spMante_Pago_CxC_Anular(
	varPago       int,
  varUsuario    int
  )
BEGIN  
  DECLARE varVenta  int;
  DECLARE varMonto  double;
  
  select id_venta, monto into varVenta, varMonto
  from _sv_pago_cxc where id_pago_cxc=varPago;
  
  /*ACTUALIZAMOS EL REGISTRO DE VENTAS*/
  update _sv_venta set saldo=round(saldo+varMonto,2), estado = 'PP' where id_venta=varVenta;
  /*ELIMINAMOS EL PAGO DE LA TABLA PAGO*/
  update _sv_pago_cxc set _estado='X' where id_pago_cxc=varPago;
  /*ELIMINAMOS EL PAGO DE LA TABLA MOVIMENTO CUENTA*/
	update _sv_movimiento_cuenta_cxc set _estado='X' where tipo_mov='PAG' and id_pago_cxc=varPago;  
END;
